"use client";

import { BugReport } from "@mui/icons-material";
import { Box, Button, IconButton, Typography } from "@mui/material";
import { useRouter } from "next/router";
import { useEffect, useState } from "react";
import { getConfigDirectory } from "../lib/path";
import { usePathStore } from "../lib/store/zustand/path";

export default function Testing() {
  const router = useRouter();

  const configPath = usePathStore((state) => state.configDirectory);
  const dataPath = usePathStore((state) => state.dataDirectory);
  const cachePath = usePathStore((state) => state.cacheDirectory);

  const [text, setText] = useState("");

  useEffect(() => {
    getConfigDirectory().then((configDirectory) => {
      setText(configDirectory);
    });
  });

  return (
    <Box>
      <IconButton
        onClick={() => {
          router.push("/");
        }}
      >
        <BugReport />
      </IconButton>
      <Button
        onClick={() => {
          console.log(text);
          console.log(configPath);
          console.log(dataPath);
          console.log(cachePath);
        }}
      >
        Button
      </Button>
      <Typography>{text}</Typography>
    </Box>
  );
}
